<?xml version='1.0' encoding='UTF-8'?>
<tables>
	<!-- subdomains table -->
	<table>
		<name>subdomains</name>
		<column>
			<name>hid</name>
			<type>integer</type>
			<options>
				<unsigned>true</unsigned>
				<autoincrement>true</autoincrement>
			</options>
		</column>
		<column>
			<name>sid</name>
			<type>integer</type>
			<options>
				<unsigned>true</unsigned>
			</options>
		</column>
		<column>
			<name>subdomain</name>
			<type>string</type>
			<options>
				<length>160</length>
				<customSchemaOptions>
					<collation>utf8mb4_bin</collation>
				</customSchemaOptions>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>ip</name>
			<type>string</type>
			<options>
				<length>24</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>ssl_valid_from</name>
			<type>datetime</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>ssl_valid_to</name>
			<type>datetime</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>ssl_issued_to</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>ssl_issued_by</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>subject_key_id</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>subject_alt_name_text</name>
			<type>text</type>
			<options>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>subject_alt_name</name>
			<type>string</type>
			<options>
				<length>2048</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>notes_a</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>notes_b</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>notes_c</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>notes_d</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>signature_type</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>serial</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>added_on</name>
			<type>datetime</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>manual_edited_at</name>
			<type>datetime</type>
			<options>
				<notnull>false</notnull>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>record_type</name>
			<type>string</type>
			<options>
				<length>32</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>record_value</name>
			<type>string</type>
			<options>
				<length>2048</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>ptr</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>dnsbl_lookup_results</name>
			<type>string</type>
			<options>
				<length>2048</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>edited</name>
			<type>boolean</type>
			<options>
				<notnull>false</notnull>
				<default>0</default>
			</options>
		</column>
		<column>
			<name>auto_added</name>
			<type>integer</type>
			<options>
				<notnull>false</notnull>
				<default>0</default>
			</options>
		</column>
		<column>
			<name>r_h_disp</name>
			<type>integer</type>
			<options>
				<notnull>false</notnull>
				<unsigned>true</unsigned>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>ttl</name>
			<type>integer</type>
			<options>
				<notnull>false</notnull>
				<unsigned>true</unsigned>
				<default>NULL</default>
			</options>
		</column>
		<column>
			<name>cookie_type</name>
			<type>string</type>
			<options>
				<length>32</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>cookie_name</name>
			<type>string</type>
			<options>
				<length>2048</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>cookie_value</name>
			<type>string</type>
			<options>
				<length>2048</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>cookie_domain</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>cookie_thirdparty</name>
			<type>string</type>
			<options>
				<length>255</length>
				<default>empty</default>
				<notnull>false</notnull>
			</options>
		</column>
		<column>
			<name>cookie_expiry</name>
			<type>datetime</type>
			<options>
				<default>NULL</default>
				<notnull>false</notnull>
			</options>
		</column>
		
		<keys>
			<primary>hid</primary>
			<index>subdomain</index>
			<index>sid</index>
			<index>ssl_valid_to</index>
			<index>edited</index>
			<index>auto_added</index>
		</keys>
		<init>
		SQL:<![CDATA[
		
		]]>
		</init>
	</table>
</tables>
